// JavaScript Document

$(document).ready(function() {
	//Zerando campo de Valor
	$("select[name=Cliente_Id]").change(function(){
		$("input[name=Valor]").val(0);	
	})
	
	
	
	
	//Adicionar Descricao
	$("#adicionar").click(function(){
		
		//Valores a Serem Enviados
		cliente = $("select[name=Cliente_Id]").val();
		valor = $("input[name=Valor]").val();
		
		//Recuperacao de Post
		$.post("cad_multiplos.php",{id:cliente, valor:valor},function(data){
			$("#descricao").prepend(data);
		})	
		
		
	})
	
	//Remover Descricao
	$('#descricao').delegate("#remover", 'click',function(){
		$(this).parent().parent().remove();	
	})
	
	
	//Somar para Total
	
	$('#form1').delegate("*", 'change click submit mouseup keyup', function(){
		var valor_total = 0
		$('.valor').each(function(index, element) {
	        valor_total = valor_total + parseFloat($(this).val().replace('.','').replace(',','.'));
		});
		$("input[name=total]").val(valor_total);
		
		$('input[name=total]').val(valor_total.toFixed(2));
		$('input[name=total]').priceFormat({
		   		prefix: '',
		   		centsSeparator: ',',
    	   		thousandsSeparator: '.'
		   });
		   
		$('.valor').val(valor_total.toFixed(2));
		$('.valor').priceFormat({
		   		prefix: '',
		   		centsSeparator: ',',
    	   		thousandsSeparator: '.'
		   });
		
	})
    
});